Bug 440541 - Resets quick filter after loading a folder
Summary: Resets quick filter after loading a folder
Status: RESOLVED FIXED
Alias: None
Product: kdepim
Classification: Applications
Component: messagelist (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-03 07:26 UTC by Oleg Solovyov
Modified: 2021-08-04 06:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (63.15 KB, image/jpeg)
2021-08-03 07:26 UTC, Oleg Solovyov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Solovyov 2021-08-03 07:26:18 UTC
Created attachment 140477 [details]
screenshot

SUMMARY
In case of loading a big folder (>10000 messages) quick filters are not applied.

STEPS TO REPRODUCE
1. Open a folder
2. Wait for processing started
3. Enable "Unread" filter
4. Wait for processing finished

OBSERVED RESULT
see screenshot

EXPECTED RESULT
Filters are applied

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 5.12.19
KDE Plasma Version: 5.22.4
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Sorting set by Date/Time
Aggregation set to Standard mailing list

PS
messagelist versioning in bugzilla is broken; messagelib is 21.04.3
Comment 1 Bug Janitor Service 2021-08-03 07:44:24 UTC
A possibly relevant merge request was started @ https://invent.kde.org/pim/messagelib/-/merge_requests/44
Comment 2 Laurent Montel 2021-08-03 10:51:41 UTC
"messagelist versioning in bugzilla is broken; messagelib is 21.04.3" nope it's 5.17.3
Comment 3 Bug Janitor Service 2021-08-04 06:08:37 UTC
A possibly relevant merge request was started @ https://invent.kde.org/pim/messagelib/-/merge_requests/45
Comment 4 Oleg Solovyov 2021-08-04 06:56:10 UTC
Git commit 2d9eba45f60cc1abc16ad47917ded97c6623c26d by Oleg Solovyov.
Committed on 03/08/2021 at 11:06.
Pushed by mlaurent into branch 'release/21.08'.

Fix Bug 440541 - resetting quick filter if set during folder processing

M  +1    -0    messagelist/src/core/model.cpp

https://invent.kde.org/pim/messagelib/commit/2d9eba45f60cc1abc16ad47917ded97c6623c26d